Fix "DEPRECATION WARNING: Rendering actions with '.' in the name is deprecated" in

RepositoriesController

2022-10-02 13:59 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

The fix for #37626 introduce a deprecation warning and we should properly fix the issue.

Related issues:

Related to Redmine - Defect #37626: Diff of a javascript file in repository m... Closed

Related to Redmine - Feature #36320: Migrate to Rails 7.2 Closed

Associated revisions

Revision 22489 - 2023-11-29 08:11 - Marius BĂLTEANU

Revert r21883 which was an workaround for #37626 (#37732, #36320).

History

#1 - 2022-10-02 13:59 - Marius BĂLTEANU

- Subject changed from Fix DEPRECATION WARNING: Rendering actions with '.' in the name is deprecated in RepositoriesController to Fix

"DEPRECATION WARNING: Rendering actions with '.' in the name is deprecated" in RepositoriesController

- Description updated

#2 - 2022-11-17 03:20 - Go MAEDA

- Related to Defect #37626: Diff of a javascript file in repository module is not displayed with layout  added

#3 - 2023-09-30 07:09 - Go MAEDA

- Category set to SCM

#4 - 2023-10-07 05:53 - Go MAEDA

- Target version changed from 5.1.0 to 6.0.0

#5 - 2023-11-29 05:56 - Go MAEDA

After Rails was updated to 7.1 in r22488, RepositoriesController#diff always fails with the following error. The error is due to the change made by 

r21883.

Missing template, responding with 404: Missing template layouts/base.html.erb with {:locale=>[:en], :formats=>

[:html], :variants=>[], :handlers=>[:raw, :erb, :html, :builder, :ruby, :rsb]}.

 Although r21883 was necessary to fix the problem that the layout is not applied for the diff of .js files (#37626), I think the change should be reverted

at this point. Currently, the diff feature is not available for all file types, but if r21883 is reverted, diff will be available for all but a few file extensions.

I think we should revert r21883 and then figure out how to solve the issue reported in #37626.

#6 - 2023-11-29 08:10 - Marius BĂLTEANU

- Related to Feature #36320: Migrate to Rails 7.2 added

#7 - 2023-11-29 08:13 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Target version deleted (6.0.0)
- Resolution set to Fixed

Go MAEDA wrote in #note-5:

After Rails was updated to 7.1 in r22488, RepositoriesController#diff always fails with the following error. The error is due to the change made by

r21883.

[...]

Although r21883 was necessary to fix the problem that the layout is not applied for the diff of .js files (#37626), I think the change should be

reverted at this point. Currently, the diff feature is not available for all file types, but if r21883 is reverted, diff will be available for all but a few file

extensions.

I think we should revert r21883 and then figure out how to solve the issue reported in #37626.

 I totally agree, reverted r21883. I'm removing this from 6.0.0, is part of #36320.
